AESWrapPadTest (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.crypto.test

## Class AESWrapPadTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.crypto.test.AESWrapPadTest

- All Implemented Interfaces:
    Test

      public class AESWrapPadTest
      extends SimpleTest

  This is a test harness I use because I cannot modify the BC test harness without invalidating the signature on their signed provider library. The code here is not high quality but it does test the RFC vectors as well as randomly generated values. The RFC test vectors are tested by making sure both the ciphertext and decrypted values match the expected values whereas the random values are just checked to make sure that:

  unwrap(wrap(random_value, random_kek), random_kek) == random_value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AESWrapPadTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `performTest()`

    - ### Methods inherited from class org.bouncycastle.util.test.SimpleTest

      `areEqual, fail, fail, fail, perform, runTest, runTest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AESWrapPadTest

          public AESWrapPadTest()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Test`
      Specified by:
        `getName` in class `SimpleTest`

    - #### performTest

          public void performTest()
                           throws java.lang.Exception

      Specified by:
        `performTest` in class `SimpleTest`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)